Page MenuHomePhabricator

VisualEditor: Empty annotations are dropped
Closed, ResolvedPublic

Description

VE drops things like <i></i>, which Parsoid sometimes uses to preserve strange things.

I think a solution might be to store this as an inline node or as a meta item.


Version: unspecified
Severity: normal

Details

Reference
bz48605

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:16 AM
bzimport set Reference to bz48605.
Catrope created this task.May 18 2013, 4:58 PM

Should the inline node disappear if saved next to similarly annotated text,

e.g.
'<i><emptyAnnotation /></i><i>Foo</i>' => '<i>Foo</i>'

or more complex:

'<i><emptyAnnotation /></i><b><i>Foo</i></b>' => '<i><emptyAnnotation /><b>Foo</b></i>'
?

(In reply to comment #1)

Should the inline node disappear if saved next to similarly annotated text,
e.g.
'<i><emptyAnnotation /></i><i>Foo</i>' => '<i>Foo</i>'
or more complex:
'<i><emptyAnnotation /></i><b><i>Foo</i></b>' => '<i><emptyAnnotation
/><b>Foo</b></i>'
?

I believe the latter, but Roan was going to answer this.

(Actually it's a yes/no question, both cases relate to the same behaviour.)

That would be nice, yes, but I don't think it's critically important.

Related URL: https://gerrit.wikimedia.org/r/68213 (Gerrit Change I0f3a194f629b054f193a61af105733a555775d79)

Above change fixes issue with annotations being dropped, but we still need to fix empty annotations not rendering (e.g. <span style="display: block; background: red; width: 100px; height: 100px;"></span>), either here or in a new bug.

Split new items out to bug 49497; closing this one.

This works for single annotations, but not for nested ones. See https://gerrit.wikimedia.org/r/#/c/69343/ for a failing test case.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 21 2018, 5:39 PM